=== debian/changelog ===
mdadm (3.1.4-1+8efb9d1ubuntu6) oneiric; urgency=low

  * d/initramfs/mdadm-functions: Record in /run when boot-degraded 
    question has been asked so that it is only asked once (LP: #820111)
  * d/control: add dependency on initscripts >= 2.88dsf-13.3 to ensure
    /run exists per http://wiki.debian.org/ReleaseGoals/RunDirectory
  * d/rules: fix FTBFS by adding -Wno-unused-but-set-variable to
    compiler flags until upstream solves the issue. (LP: #829463)

 -- Clint Byrum <clint@ubuntu.com>  Wed, 24 Aug 2011 08:40:12 -0700

mdadm (3.1.4-1+8efb9d1ubuntu5) oneiric; urgency=low

  * Call checks in local-premount to avoid race condition with udev
    and opening a degraded array. (LP: #778520)

 -- Clint Byrum <clint@ubuntu.com>  Tue, 24 May 2011 13:05:01 -0700

mdadm (3.1.4-1+8efb9d1ubuntu4.1) natty-proposed; urgency=low

  * pass --test to mdadm to enable result codes for degraded arrays. 
    (LP: #761971)

 -- Clint Byrum <clint@ubuntu.com>  Wed, 27 Apr 2011 15:05:14 -0700

mdadm (3.1.4-1+8efb9d1ubuntu4) natty; urgency=low

  * mdadm udev rule incrementally adds mdadm member when detected. Starting
    such an array in degraded mode is possible by mdadm -IRs. Using mdadm -ARs
    without stopping the array first does nothing when no mdarray-unassociated
    device is available. Using mdadm -IRs to start a previously partially
    assembled array through incremental mode. Keeping the mdadm -ARs for
    assembling arrays which were for some reason not assembled through
    incremental mode (i.e through mdadm's udev rule). (LP: #728435)

 -- Surbhi Palande <surbhi.palande@canonical.com>  Wed, 23 Mar 2011 18:28:55 +0200

mdadm (3.1.4-1+8efb9d1ubuntu3) natty; urgency=low

  * Build udeb with -O2 on ppc64, working around a link error.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Feb 2011 19:17:41 +0100

mdadm (3.1.4-1+8efb9d1ubuntu2) natty; urgency=low

  * debian/mdadm.manpages: add manpages back to build (LP: #697821).

 -- Kees Cook <kees@ubuntu.com>  Wed, 05 Jan 2011 11:34:25 -0800

mdadm (3.1.4-1+8efb9d1ubuntu1) natty; urgency=low

  * Merge from debian unstable. (LP: #603582) 
  * Remaining changes
    - Assemble.c, config.c: upgraded to the mdadm-3.1.4 version of these files
      from Debian.
    - debian/control: we need udev and util-linux in the right version. We
      also remove the build dependency from quilt and docbook-to-man as both
      are not used in Ubuntus mdadm.
    - debian/initramfs/hook: kept the Ubuntus version for handling the absence
      of active raid arrays in <initramfs>/etc/mdadm/mdadm.conf
    - debian/initramfs/script.local-top.DEBIAN, debian/mdadm-startall,
      debian/mdadm.raid.DEBIAN: removed. udev does its job now instead.
    - debian/mdadm-startall.sgml, debian/mdadm-startall.8: documentation of
      unused startall script
    - debian/mdadm.config, debian/mdadm.postinst - let udev do the handling
      instead. Resolved merge conflict by keeping Ubuntu's version.
    - debian/rules: kept debian's switch to using dh_lintian
    - debian/mdadm.links, debian/mdadm.manpages: dropped owing to the fact
      that these are not used in Ubuntu. Also dropped the build-dep on docbook
      to man)
    - debian/mdadm.postinst, debian/mdadm.config, initramfs/init-premount:
      boot-degraded enablement; maintain udev starting of RAID devices;
      init-premount hook script for the initramfs, to provide information at
      boot
    - debian/mkconf.in is the older mkconf. Kept the Ubuntus version.
    - debian/rules: Kept Ubuntus version for installing apport hooks, not
      installing un-used startall script and for adding a udev rule
      corresponding to mdadm.
    - debian/install-rc, check.d/_numbers, check.d/root_on_raid: Ubuntu partman
      installer changes
    - debian/presubj: Dropped this unused bug reporting file. Instead use
      source_mdadm.py act as an apport hook for bug handling.
    - rename debian/mdadm.vol_id.udev to debian/mdadm.mdadm-blkid.udev so that
      the rules file ends up with a more reasonable name

 -- Surbhi Palande <surbhi.palande@canonical.com>  Thu, 30 Sep 2010 17:46:19 +0100

mdadm (3.1.4-1+8efb9d1) unstable; urgency=low

  * Added patch with Makefile fix from upstream (commit 8efb9d1) to fix
    compiler/linker problem on non-x86 architectures (closes: #595290).

 -- martin f. krafft <madduck@debian.org>  Fri, 03 Sep 2010 10:45:01 +0200

mdadm (3.1.4-1) unstable; urgency=low

  * New upstream release, which closes:#595039 and addresses the following
    issues too:
    - reverts move of incremental map (closes: #585015).
    - fixes mdadm monitor in the case of an inactive (or start-failed) raid0
      or linear array (closes: #539154).
    - prevent --remove faulty from skipping renumbered devices
      (closes: #587550).
    - fixed overflow when growing a RAID6 (closes: #589493).
  * However, disable the incremental assembly upstream turned on in 3.1.3 for
    now, this will have to wait until after the squeeze release.
  * initramfs/hook: make sure configuration file exists before accessing it;
    thanks to Michael Prokop for the fix and NMU (closes: #589836).
  * initramfs/hook: Match UUID case-insensitive while checking for running
    arrays not listed in mdadm.conf; thanks to Mario 'BitKoenig' Holbe for the
    patch (closes: #583545).
  * Fix URL in the bug reporting preamble (presubj) (closes: #589833).
  * Add I/O rescheduling functionality to the checkarray script and make the
    cronjob use the idle priority; this should now minimise the impact of the
    monthly re-check on the running system; Florian Heigl had the idea
    (closes: #592149, #508123).

 -- martin f. krafft <madduck@debian.org>  Sun, 29 Aug 2010 13:44:59 +0200

mdadm (3.1.2-2) unstable; urgency=low

  * Fix logcheck regexp to cure "egrep: Unmatched [ or [^" message
    (closes: #583376).
  * Cherry-pick 94fcb80 from upstream to fix compiler error due to argument

