## mdadm 3.2.2

=== debian/changelog ===
mdadm (3.2.2-1) unstable; urgency=low

  [ martin f. krafft ]
  * New upstream version (closes: #615494), which addresses:
    - --grow option aware of size change of underlying device (closes: #618463)
    - builds with -Werror on gcc-4.6 (closes: #625392).
    - new features/functionality:
      + Policy framework.
      + Improved management of reshaping arrays.
      + Support for Intel Matrix Storage Manager (IMSM)
    Thanks to Scott Schaefer for his help in preparing this release!
  * Do not print io rescheduling info message when run by cron
    (closes: #598957).
  * Fix checkarray script so that it does not die after scheduling the first
    device when there is no scheduling class specified; thanks to Mario
    'BitKoenig' Holbe (closes: #611627).
  * Do not include DEVICE line in generated configs but use the built-in value
    by default (closes: #604702).
  * Make mdadm-raid init script depend on hostname; thanks to Mario
   'BitKoenig' Holbe (closes: #610421).
  * Schedule start/stop of mdadm-raid before/after filesystems are
    checked&mounted/unmounted; thanks to Mario 'BitKoenig' Holbe
    (closes: #611632).
  * Work around a shell coding bug for cases when there are zero active
    devices (closes: #618561).
  * Add NEWS entry about metadata change and requirement on new Grub version
    (closes: #595516).
  * Update mdadd.sh script from Arno's webpage.
  * Update md.txt from latest kernel source.
  * Updated debconf translations:
    - Catalan by Innocent De Marchi (closes: #628371)
    - Danish by Joe Dalton (closes: #621346)
  * Small typo fix in RAID5_versus_RAID10.txt
  * Bump Standards-Version to 3.9.2; no changes required.

  [ Michael Tokarev ]
  * don't print W: auto-read-only in checkarray in quiet mode,
    thanks to Bernd Hanisch for the patch (Closes: #605722)
  * move initscript metadata from /lib/init/rw/.mdadm to /run/mdadm,
    and depend on initscripts (>= 2.88dsf-13.3) for /run (Closes: #633054)
  * move runtime stuff from /dev/.mdadm to /run/mdadm
  * document defaults change in debian/NEWS (it was forgotten to be
    done for squeeze) - metadata & chunk size (Closes: #595516)

 -- martin f. krafft <madduck@debian.org>  Mon, 01 Aug 2011 10:41:41 +0200
