=== debian/control ===
Source: mdadm
Section: admin
Priority: optional
Maintainer: Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>
Uploaders: martin f. krafft <madduck@debian.org>
Build-Depends: debhelper (>= 6.0.7~), po-debconf, groff-base, docbook-to-man, quilt
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-mdadm/mdadm
Vcs-Browser: http://git.debian.org/?p=pkg-mdadm/mdadm.git
Homepage: http://neil.brown.name/blog/mdadm

Package: mdadm
Architecture: any
Depends: ${shlibs:Depends}, udev | makedev, ${misc:Depends}, lsb-base (>= 3.1-6), debconf (>= 1.4.72), initscripts (>= 2.88dsf-13.3)
Recommends: default-mta | mail-transport-agent, module-init-tools
Replaces: mdctl
Conflicts: mdctl (<< 0.7.2), raidtools2 (<< 1.00.3-12.1), initramfs-tools (<< 0.65)
Description: tool to administer Linux MD arrays (software RAID)
 The mdadm utility can be used to create, manage, and monitor MD
 (multi-disk) arrays for software RAID or multipath I/O.
 .
 This package automatically configures mdadm to assemble arrays during the
 system startup process. If not needed, this functionality can be disabled.

Package: mdadm-udeb
Section: debian-installer
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}
Description: tool to administer Linux MD arrays (software RAID)
 The mdadm utility can be used to create, manage, and monitor MD
 (multi-disk) arrays for software RAID or multipath I/O.
 .
 This is a minimal package used by the debian-installer.
