## mdadm 3.2.3

=== debian/changelog ===
mdadm (3.2.3-2) unstable; urgency=low

  [ Michael Tokarev ]
  * new upstream bugfix/stable version, with lots of fixes all over.
    Closes: #641886, #628667, #645563, #651880, #607375, #633880
  * update Neil's email (Closes: #650630)
  * update mdadd.sh to version 1.52 (Closes: #655212)
  * fixed a typo (RAID6 vs RAID10) in FAQ (Closes: #637068)
  * declare ordering dependency for multipath-tools-boot in
    mdadm-raid init script (Closes: #641584)
    While at it, remove mention of devfsd
  * added Slovak (sk.po) po-debconf translation from Slavko <linux@slavino.sk>
    (Closes: #641972)
  * set nice value of the check/resync thread too, together with I/O
    scheduling class, based on patch by Sergey B Kirpichev (Closes: #652547)
  * small changes for debian/checkarray
  * (internal) move files from contrib/* topgit branches into debian directory
  * remove dh_testroot from clean target
  * add myself to uploaders

  [ Peter Eisentraut ]
  * Added support for "status" action to mdadm init script (Closes: #651737)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 18 Jan 2012 22:33:01 +0400
