=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>
-Uploaders: martin f. krafft <madduck@debian.org>
+Uploaders: martin f. krafft <madduck@debian.org>, Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends: debhelper (>= 6.0.7~), po-debconf, groff-base, docbook-to-man, quilt
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-mdadm/mdadm
