=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 #export DH_VERBOSE=1
 
-TG_BRANCHES="contrib/scripts/mdadd contrib/docs/raid5-vs-raid10 contrib/docs/superblock_formats contrib/docs/md.txt contrib/docs/jd-rebuilding-raid debian/conffile-location debian/disable-udev-incr-assembly debian/no-Werror"
+TG_BRANCHES="debian/conffile-location debian/disable-udev-incr-assembly debian/no-Werror"
 -include /usr/share/topgit/tg2quilt.mk
 
 RUNDIR = /run/mdadm
@@ -53,7 +53,6 @@
 
 clean:
 	dh_testdir
-	dh_testroot
 	rm -f $(INTERPOLATED_FILES)
 	rm -f build-stamp
 	[ ! -f Makefile ] || $(MAKE) clean
@@ -97,7 +96,7 @@
 	dh_lintian
 	dh_installdebconf
 	dh_installdocs
-	dh_installexamples contrib/mdadd.sh
+	dh_installexamples debian/mdadd.sh
 	dh_installinit --init-script=mdadm-raid --no-start -- start 25 S . start 60 0 6 .
 	dh_installinit -- defaults 25
 	dh_installman
