=== debian/changelog ===
mdadm (3.2.5-3~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports:
     stop using /run
     do not require initscripts >= /run transition

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 17 Sep 2012 08:54:51 +0400

mdadm (3.2.5-3) unstable; urgency=low

  * revert "Drop unused debconf templates" change -- the templates
    are actually being (indirectly) used in debian/mdadm.config
  * fix initramfs-script config name (slipped in the initramfs fixes)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 25 Aug 2012 23:12:50 +0400

mdadm (3.2.5-2) unstable; urgency=low

  [ Sergey B Kirpichev ]
  * Fix mdadm.lintian-overrides
  * Fix spelling in binaries, fix lintian warnings
    manpage-has-errors-from-man and hyphen-used-as-minus-sign
  * Drop unused debconf templates
  * Implement status option for mdadm-raid init.d script
  * Fix lintian info's conflicts-with-version: Conflicts -> Breaks

  [ Michael Tokarev ]
  * fix spelling mistakes in previous changelog entry
  * some cleanups for checkarray:
   - change --help printing and shorten/simplify the text
   - make --quiet cumulative and stop documenting --real-quiet
   - do not produce help in case of incorrect usage, and exit with 1
  * fixes for initramfs integration (Closes: #644389, #678262, #685161):
   - check INITRDSTART=none early
   - do not explicitly load raid level modules (modprobe/kmod does this)
   - do not collect needed raid levels (we include all modules anyway)
   - load md_mod explicitly since we need to change global parameter

  [ Dmitrijs Ledkovs ]
  * Use dh_installinit with --no-restart-on-upgrade, which will start
    arrays, but will not stop them during upgrade. (Closes: 678971)
  * Copy local administrator's modified udev rules as well as the system
    one. (Closes: #678973)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 25 Aug 2012 16:25:37 +0400

mdadm (3.2.5-1) unstable; urgency=low

  [ Michael Tokarev ]
  * new upstream (bugfix) release, fixing regression when --add'ing
    device to an array, introduced in 3.2.4, plus other minor fixes
    (Closes: #673104, #673344)
  * new patch: sha1-includes.diff to fix #include mess in new sha1.h
  * added a check into debian/checkarray to skip checking arrays created
    less than 2 weeks ago (Closes: #624273)

  [ Dmitrijs Ledkovs ]
  * Remove obsolete documentation dating back to ~etch release
  * Remove reference to obsolete documention from debconf templates
  * Update debconf templates translations
  * Remove compatibility with ancient initramfs-tools
  * Remove debian-specific mdadm-startall.8 in clean target

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 25 May 2012 20:23:52 +0400

mdadm (3.2.4-1) unstable; urgency=low

  * new upstream (bugfix) release (Closes: #664088, #661552)
  * removed debian-run-udev.diff (applied upstream), and
    all RUNDIR handling from debian/rules (it is the default now)
  * add build-arch and build-indep targets to debian/rules, and
    bump Standards-Version to 3.9.3

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 10 May 2012 17:51:41 +0400

mdadm (3.2.3-3) unstable; urgency=low

  * switch from topgit to plain 3.0 (quilt) layout, creating
    debian/patches.  Don't build-depend on quilt as patching
    is done automatically by dpkg-source.
  * debian/patches/debian-run-udev.diff by Roger Leigh (Closes: #644319, #627774)
  * update debian/mdadm.logcheck.ignore.server to recognize "k" in
    addition of "blocks" in kernel messages.  Thanks to Frédéric Brière
    for the patch (Closes: #656038)

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 30 Apr 2012 14:12:38 +0400
