=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,8 @@
 
 #export DH_VERBOSE=1
 
-TG_BRANCHES="debian/conffile-location debian/disable-udev-incr-assembly debian/no-Werror"
--include /usr/share/topgit/tg2quilt.mk
-
-RUNDIR = /run/mdadm
-RUNOPTS = MAP_DIR=$(RUNDIR) MDMON_DIR=$(RUNDIR) FAILED_SLOTS_DIR=$(RUNDIR)/failed-slots
+RTDIR = /dev/.mdadm
+RTLOC = MAP_DIR=${RTDIR} FAILED_SLOTS_DIR=${RTDIR}/failed-slots
 
 CXFLAGS = -ggdb
 CXFLAGS_UDEB := $(CXFLAGS) -fomit-frame-pointer
@@ -39,14 +36,14 @@
 mdadm.udeb: FLAGS = CXFLAGS="$(CXFLAGS_UDEB)" CONFFILE=/tmp/mdadm.conf
 mdadm.udeb: configure
 	dh_testdir
-	$(MAKE) $(FLAGS) all $(RUNOPTS)
+	$(MAKE) $(FLAGS) $(RTLOC) all
 	mv mdadm mdadm.udeb
 .PHONY: mdadm.udeb
 
 mdadm: FLAGS = CXFLAGS="$(CXFLAGS)" CONFFILE=/etc/mdadm/mdadm.conf CONFFILE2=/etc/mdadm.conf
 mdadm: configure
 	dh_testdir
-	$(MAKE) $(FLAGS) all $(RUNOPTS)
+	$(MAKE) $(FLAGS) $(RTLOC) all
 .PHONY: mdadm
 
 INTERPOLATED_FILES = debian/bugscript debian/mkconf
@@ -56,7 +53,7 @@
 	rm -f $(INTERPOLATED_FILES)
 	rm -f build-stamp
 	[ ! -f Makefile ] || $(MAKE) clean
-	rm -f mdadm.udeb mdadm
+	rm -f mdadm.udeb mdadm debian/mdadm-startall.8
 	dh_clean
 	debconf-updatepo
 
@@ -97,7 +94,7 @@
 	dh_installdebconf
 	dh_installdocs
 	dh_installexamples debian/mdadd.sh
-	dh_installinit --init-script=mdadm-raid --no-start -- start 25 S . start 60 0 6 .
+	dh_installinit --init-script=mdadm-raid --no-restart-on-upgrade -- start 25 S . start 60 0 6 .
 	dh_installinit -- defaults 25
 	dh_installman
 	dh_installcron
@@ -114,4 +111,6 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+build-indep:
+build-arch: build
+.PHONY: build build-indep build-arch clean binary-indep binary-arch binary install configure
